Skip to main content
POST
Create a brand and start its extraction

Authorizations

Authorization
string
header
default:Bearer brew_your_api_key
required

Send your Brew API key as Authorization: Bearer brew_xxx.

Headers

Idempotency-Key
string

Optional idempotency key for safe retries. Reusing the same key with the same request body returns the original response for 24 hours.

Required string length: 1 - 100

Body

application/json
url
string
required
Required string length: 1 - 2048
instructions
string
Maximum string length: 4000
includePaths
string[]
Maximum array length: 50
Maximum string length: 2048
excludePaths
string[]
Maximum array length: 50
Maximum string length: 2048
excludeSubdomains
string[]
Maximum array length: 50
Maximum string length: 253

Response

The brand was created and extraction started. Poll extraction.statusUrl.

brandId
string
required
Minimum string length: 1
domain
string
required
Minimum string length: 1
status
enum<string>
required
Available options:
extracting,
completed,
failed,
deleting
ready
boolean
required
extraction
object
required
progress
integer
Required range: 0 <= x <= 100
phase
string
error
string
createdAt
string<date-time>
updatedAt
string<date-time>